## net.i2p.sam
Class SAMInvalidDirectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.i2p.sam.SAMInvalidDirectionException

All Implemented Interfaces:
  Serializable

    public class SAMInvalidDirectionException

extends Exception

Exception thrown by SAM methods when an application tries to create outgoing connections through a receive-only SAM session.

Author:
  human
See Also:
  Serialized Form

Field Summary
`(package private) static long` `serialVersionUID`

Constructor Summary
`SAMInvalidDirectionException()`
`SAMInvalidDirectionException(String s)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### SAMInvalidDirectionException

    public SAMInvalidDirectionException()

### SAMInvalidDirectionException

    public SAMInvalidDirectionException(String s)